dpkg question for conffile /etc/login.defs

Bug #18570 reported by Martin Pitt on 2005-06-30
10
Affects Status Importance Assigned to Milestone
Shadow
Fix Released
Unknown
shadow (Ubuntu)
High
Unassigned

Bug Description

Upgrading login from the Hoary version to current Breezy asks dpkg conffile
question about /etc/login.defs, although I never touched that file.

Martin Pitt (pitti) wrote :

I can't reproduce this by installing the breezy deb on top of the hoary deb, so
the package itself is not the cause.

Colin, does the installer pre-generate a /etc/login.defs in some way? This would
explain the conffile question.

Tollef Fog Heen (tfheen) wrote :

I can not duplicate this with a fresh hoary install and then an upgrade of only login to breezy.

Martin Pitt (pitti) wrote :

I'm sure that I got it, but next time I'll try an upgrade I will check again.

Closing.. i just did a hoary -> breezy upgrade and i haven't seen this question
at all.

Colin Watson (cjwatson) wrote :

(In reply to comment #1)
> Colin, does the installer pre-generate a /etc/login.defs in some way? This would
> explain the conffile question.

Not to my knowledge, no.

Tormod Volden (tormodvolden) wrote :

This question appeared in an upgrade (using update-manager -d) from a pretty clean Edgy install to Feisty. I have never touched that file. The differences were whitespace and comments.

Changed in shadow:
status: Fix Released → Unconfirmed
Changed in shadow:
status: Unknown → Fix Released
gnudoc (gnudoc) wrote :

Can anyone confirm that this affects Feisty to Gutsy upgrades? I tried to do so and couldnt reproduce.

David Tomaschik (matir) wrote :

I did not see this bug on upgrade from feisty to gutsy on any of 3 machines.

gnudoc (gnudoc) wrote :

OK folks, gutsy seems not even to have the package shadow. The following is on a more-or-less standard install, the only changes being turning on compiz and installing awn.

<code>sudo aptitude show shadow</code>
E: Unable to locate package shadow

<code>sudo aptitude search shadow</code>
p libshadow-ruby1.8 - Interface of shadow password for Ruby 1.8

hmm...

I have now tried feisty -> gutsy upgrades on four further machines. I think it would be fair to say that this bug has been squashed one way or another, so I'm closing this. :)

Changed in shadow:
status: New → Fix Released
Colin Watson (cjwatson) wrote :

shadow is a source package, not a binary package. apt-cache showsrc shadow

Martin Pitt (pitti) wrote :

For the record, I just got it again when doing a dapper->hardy upgrade. However, I have the impression that gnome-system-tools' users-admin has something to do with it, since it did not happen in the automatic dist-upgrader.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.